Services How It Works Blog Free Reseller Panel API Login Sign Up Free

Wprowadzenie

Resimi API pozwala zintegrować nasze usługi SMM z własnym panelem, aplikacją lub przepływem pracy. Wszystkie żądania zwracają JSON. Interfejs API jest zgodny ze standardowym formatem API panelu SMM używanym przez JAP, SMMKings, Peakerr i inne — co ułatwia przełączanie lub integrację.

Podstawowy adres URL: https://resimi.xyz/api/v2.php

Wszystkie punkty końcowe akceptują żądania GET i POST. Użyj POST dla zamówień i anulowań, GET dla zapytań tylko do odczytu.

Uwierzytelnianie

Każde żądanie musi zawierać Twój klucz API jako parametr key.

Twój klucz API znajduje się w Ustawienia konta → Dostęp do API. Zachowaj to w tajemnicy — ma pełny dostęp do Twojego konta i salda.
GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=balance

Błędy

Wszystkie błędy zwracają obiekt JSON z kluczem error:

{"error": "Insufficient balance. Please add funds."}
Komunikat o błędzieZnaczenie
Nieprawidłowy klucz APIKlucz jest błędny lub konto zawieszone
Niewystarczające saldoDodaj środki przed złożeniem zamówienia
Usługa nie odnaleziona lub nieaktywnaIdentyfikator usługi jest nieprawidłowy lub usługa jest wyłączona
Ilość musi mieścić się w przedziale od X do YIlość poza dozwolonym zakresem dla tej usługi
Nie znaleziono zamówieniaIdentyfikator zamówienia nie istnieje lub należy do innego użytkownika
Zamówienie nie może zostać anulowaneZamówienie jest już zrealizowane lub anulowane

Pobierz usługi

Zwraca pełną listę aktywnych usług wraz ze stawkami i limitami.

GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=services

Parametry

ParametrTypOpis
key requiredstringTwój klucz API
action requiredstringMusi być services

Odpowiedź

[
  {
    "service": 1234,
    "category": "Instagram",
    "name": "Instagram Followers — HQ | Refill 30 days",
    "type": "Default",
    "rate": "0.5000",
    "min": 100,
    "max": 100000,
    "dripfeed": true,
    "refill": true,
    "cancel": false
  },
  ...
]

Złóż zamówienie

Składa nowe zamówienie. Saldo zostanie potrącone natychmiast. Zwraca identyfikator zamówienia.

POST https://resimi.xyz/api/v2.php
ParametrTypOpis
key requiredstringTwój klucz API
action requiredstringMusi wynosić add
service requiredintegerIdentyfikator usługi z listy usług
link requiredstringAdres URL docelowego profilu lub wpisu
quantity requiredintegerCałkowita ilość do dostarczenia
runs optionalintegerLiczba przebiegów podawania kroplowego (domyślnie: 1)
interval optionalintegerMinuty pomiędzy przebiegami podawania kroplowego (domyślnie: 0)
comments optionalstringKomentarze niestandardowe (dla usług komentarzy), po jednym w wierszu

Odpowiedź — Sukces

{"order": 98765}

Odpowiedź — Błąd

{"error": "Insufficient balance. Please add funds."}
Podawanie kroplowe: Ustaw runs = liczba partii i interval = minuty pomiędzy każdą partią. Przykład — 1000 obserwujących w ciągu 7 dni: ilość=1000&runs=7&interval=1440

Status zamówienia

Sprawdź aktualny status zamówienia.

GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=status&order=ORDER_ID
ParametrTypOpis
key requiredstringTwój klucz API
action requiredstringMusi być status
order requiredintegerIdentyfikator zamówienia zwrócony z <code>add</code>

Odpowiedź

{
  "charge": "0.5000",
  "start_count": 1240,
  "status": "In_progress",
  "remains": 630,
  "currency": "USD"
}

Wartości statusu

StatusZnaczenie
PendingOczekiwanie na wysłanie do dostawcy
ProcessingWysłane do dostawcy, w kolejce
In_progressDostawa w toku
CompletedDostarczona w całości
PartialDostarczona częściowo, zwrócona pozostała część
CancelledAnulowana, zwrócona pozostała część

Anuluj zamówienie

Anuluje zamówienie oczekujące lub będące w toku. Niedostarczona część zostanie zwrócona na Twoje saldo.

POST https://resimi.xyz/api/v2.php
ParametrTypOpis
key requiredstringTwój klucz API
action requiredstringMusi być cancel
order requiredintegerIdentyfikator zamówienia do anulowania

Odpowiedź — Sukces

{"success": true, "refunded": 0.2500}

Sprawdź saldo

Zwraca aktualne saldo konta powiązanego z kluczem API.

GET https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=balance

Odpowiedź

{"balance": "12.4800", "currency": "USD"}

Przykłady kodu

<?php
$apiUrl = "https://resimi.xyz/api/v2.php";
$apiKey = "YOUR_API_KEY";

function smmApi(string $url, string $key, array $params): array {
    $params['key'] = $key;
    $ch = curl_init($url);
    curl_setopt_array($ch, [
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_POST => true,
        CURLOPT_POSTFIELDS => http_build_query($params),
        CURLOPT_TIMEOUT => 30,
    ]);
    $response = curl_exec($ch);
    curl_close($ch);
    return json_decode($response, true) ?? [];
}

// Get services
$services = smmApi($apiUrl, $apiKey, ['action' => 'services']);

// Place an order
$order = smmApi($apiUrl, $apiKey, [
    'action' => 'add',
    'service' => 1234,
    'link' => 'https://instagram.com/yourprofile',
    'quantity' => 1000,
]);
echo "Order ID: " . ($order['order'] ?? 'Error: ' . $order['error']);

// Check balance
$balance = smmApi($apiUrl, $apiKey, ['action' => 'balance']);
echo "Balance: $" . $balance['balance'];
import requests

API_URL = "https://resimi.xyz/api/v2.php"
API_KEY = "YOUR_API_KEY"

def smm_api(params: dict) -> dict:
    params["key"] = API_KEY
    response = requests.post(API_URL, data=params, timeout=30)
    return response.json()

# Get services
services = smm_api({"action": "services"})
for svc in services[:3]:
    print(f"[{svc['service']}] {svc['name']} - ${svc['rate']}/1K")

# Place an order
order = smm_api({
    "action": "add",
    "service": 1234,
    "link": "https://instagram.com/yourprofile",
    "quantity": 1000,
})
print(f"Order ID: {order.get('order', 'Error: ' + order.get('error', ''))}")

# Check status
status = smm_api({"action": "status", "order": order.get("order")})
print(f"Status: {status.get('status')} | Remains: {status.get('remains')}")

# Check balance
balance = smm_api({"action": "balance"})
print(f"Balance: ${balance['balance']}")
const API_URL = "https://resimi.xyz/api/v2.php";
const API_KEY = "YOUR_API_KEY";

async function smmApi(params) {
    const body = new URLSearchParams({ key: API_KEY, ...params });
    const res = await fetch(API_URL, { method: "POST", body });
    return res.json();
}

// Get services
const services = await smmApi({ action: "services" });
console.log(`Found ${services.length} services`);

// Place an order
const order = await smmApi({
    action: "add",
    service: 1234,
    link: "https://instagram.com/yourprofile",
    quantity: 1000,
});
console.log("Order ID:", order.order ?? "Error: " + order.error);

// Check status
const status = await smmApi({ action: "status", order: order.order });
console.log("Status:", status.status, "| Remains:", status.remains);

// Cancel an order
const cancel = await smmApi({ action: "cancel", order: order.order });
console.log("Refunded:", cancel.refunded);

// Check balance
const balance = await smmApi({ action: "balance" });
console.log("Balance: $" + balance.balance);
# Get services
curl -X GET "https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=services"

# Place an order
curl -X POST "https://resimi.xyz/api/v2.php" \
  -d "key=YOUR_API_KEY" \
  -d "action=add" \
  -d "service=1234" \
  -d "link=https://instagram.com/yourprofile" \
  -d "quantity=1000"

# Place a drip-feed order (1000 followers over 7 days)
curl -X POST "https://resimi.xyz/api/v2.php" \
  -d "key=YOUR_API_KEY" \
  -d "action=add" \
  -d "service=1234" \
  -d "link=https://instagram.com/yourprofile" \
  -d "quantity=1000" \
  -d "runs=7" \
  -d "interval=1440"

# Check order status
curl -X GET "https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=status&order=98765"

# Cancel an order
curl -X POST "https://resimi.xyz/api/v2.php" \
  -d "key=YOUR_API_KEY" \
  -d "action=cancel" \
  -d "order=98765"

# Check balance
curl -X GET "https://resimi.xyz/api/v2.php?key=YOUR_API_KEY&action=balance"
How can we help?